
Foreman - Feature #5915

Support 64-bit MAC addresses

05/23/2014 05:35 PM - Trey Dockendorf

Status: Closed   

Priority: Normal   

Assignee: Trey Dockendorf   

Category: Network   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In order to manage Infiniband interfaces in Foreman the MAC address validations must be expanded to validate 48-bit vs 64-bit MAC

addresses.

Related issues:

Related to Smart Proxy - Feature #6341: Support 64-bit MAC addresses Closed 06/23/2014

Related to Foreman - Bug #6382: foreman_discovery fails to load "uninitialize... Closed 06/25/2014

Associated revisions

Revision e42aa400 - 06/24/2014 02:23 PM - Trey Dockendorf

fixes #5915 - Add support for Infiniband 64-bit MAC addresses

History

#1 - 05/27/2014 08:16 AM - Dominic Cleal

- Category set to Network

- Status changed from New to Ready For Testing

- Target version set to 1.8.2

https://github.com/theforeman/foreman/pull/1470

#2 - 06/11/2014 02:53 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#3 - 06/23/2014 02:56 PM - Trey Dockendorf

- Related to Feature #6341: Support 64-bit MAC addresses added

#4 - 06/24/2014 02:24 PM - Dominic Cleal

- translation missing: en.field_release set to 10

#5 - 06/24/2014 02:31 PM - Trey Dockendorf

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e42aa400f4a03450520b87bf6ea200bc101af740.

#6 - 06/26/2014 08:24 AM - Dominic Cleal

- Related to Bug #6382: foreman_discovery fails to load "uninitialized constant Net::Validations::MAC_REGEXP (NameError)" added
